%global pypi_name pyphen

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        Pure Python module to hyphenate text
License:        GPLv2+ and LGPLv2+ and MPL
URL:            https://pypi.org/project/Pyphen
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Pure Python module to hyphenate text.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(flit-core)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pure Python 3 module to hyphenate text.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyphen

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING*
%doc README.rst



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.14.0-3.mga10
+ Revision: 2238878
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.14.0-2.mga10
+ Revision: 2155650
- rebuild for python3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 0.14.0-1.mga10
+ Revision: 2031510
- new version: 0.14.0
- rebuild for py3.12

* Thu Sep 08 2022 neoclust <neoclust> 0.12.0-1.mga9
+ Revision: 1885599
- New version  0.12.0

* Wed Mar 23 2022 umeabot <umeabot> 0.11.0-3.mga9
+ Revision: 1822834
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.11.0-2.mga9
+ Revision: 1775556
- rebuild for python-3.10

* Tue Aug 31 2021 wally <wally> 0.11.0-1.mga9
+ Revision: 1743795
- new version 0.11.0

* Sat Jun 26 2021 wally <wally> 0.10.0-2.mga9
+ Revision: 1732338
- Rebuild for python 3.9

* Sat Nov 28 2020 guillomovitch <guillomovitch> 0.10.0-1.mga8
+ Revision: 1649910
- new version 0.10.0

* Sun Feb 16 2020 umeabot <umeabot> 0.9.5-4.mga8
+ Revision: 1532275
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.9.5-3.mga8
+ Revision: 1442344
- rebuild for python3.8
- drop python2 support

* Sat Jan 12 2019 daviddavid <daviddavid> 0.9.5-2.mga7
+ Revision: 1355444
- rename python-pyphen to python2-pyphen
- fix dependencies

* Wed Jan 09 2019 shlomif <shlomif> 0.9.5-1.mga7
+ Revision: 1353951
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.2-4.mga7
+ Revision: 1289792
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.9.2-3.mga7
+ Revision: 1135580
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.9.2-2.mga6
+ Revision: 970861
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.9.2-1.mga6
+ Revision: 888638
- new version: 0.9.2 + rebuild for python 3.5
- use new python macros
- fix License

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 749132
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-3.mga5
+ Revision: 729506
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-2.mga5
+ Revision: 688270
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 philippem <philippem> 0.9.1-1.mga5
+ Revision: 632631
- update to 0.9.1
+ pterjan <pterjan>
- Rebuild for new Python

* Thu Oct 31 2013 neoclust <neoclust> 0.8-1.mga4
+ Revision: 548087
- imported package python-pyphen

